# Generated by Django 2.2.16 on 2020-09-04 21:41

from django.db import migrations, models
import django.utils.timezone


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Activity',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=255, verbose_name='name')),
                ('description', models.TextField(verbose_name='description')),
                ('location', models.CharField(blank=True, default='', help_text='Place where the activity is organized, eg. Kfet.', max_length=255, verbose_name='location')),
                ('date_start', models.DateTimeField(verbose_name='start date')),
                ('date_end', models.DateTimeField(verbose_name='end date')),
                ('valid', models.BooleanField(default=False, verbose_name='valid')),
                ('open', models.BooleanField(default=False, verbose_name='open')),
            ],
            options={
                'verbose_name': 'activity',
                'verbose_name_plural': 'activities',
            },
        ),
        migrations.CreateModel(
            name='ActivityType',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=255, verbose_name='name')),
                ('manage_entries', models.BooleanField(default=False, help_text='Enable the support of entries for this activity.', verbose_name='manage entries')),
                ('can_invite', models.BooleanField(default=False, verbose_name='can invite')),
                ('guest_entry_fee', models.PositiveIntegerField(default=0, verbose_name='guest entry fee')),
            ],
            options={
                'verbose_name': 'activity type',
                'verbose_name_plural': 'activity types',
            },
        ),
        migrations.CreateModel(
            name='Entry',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('time', models.DateTimeField(default=django.utils.timezone.now, verbose_name='entry time')),
            ],
            options={
                'verbose_name': 'entry',
                'verbose_name_plural': 'entries',
            },
        ),
        migrations.CreateModel(
            name='Guest',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('last_name', models.CharField(max_length=255, verbose_name='last name')),
                ('first_name', models.CharField(max_length=255, verbose_name='first name')),
            ],
            options={
                'verbose_name': 'guest',
                'verbose_name_plural': 'guests',
            },
        ),
    ]
