# Generated by Django 2.2.16 on 2020-09-04 21:41

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('activity', '0001_initial'),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('member', '0001_initial'),
        ('note', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='GuestTransaction',
            fields=[
                ('transaction_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='note.Transaction')),
                ('entry', models.OneToOneField(on_delete=django.db.models.deletion.PROTECT, to='activity.Entry')),
            ],
            options={
                'abstract': False,
                'base_manager_name': 'objects',
            },
            bases=('note.transaction',),
        ),
        migrations.AddField(
            model_name='guest',
            name='activity',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='+', to='activity.Activity'),
        ),
        migrations.AddField(
            model_name='guest',
            name='inviter',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='guests', to='note.NoteUser', verbose_name='inviter'),
        ),
        migrations.AddField(
            model_name='entry',
            name='activity',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='entries', to='activity.Activity', verbose_name='activity'),
        ),
        migrations.AddField(
            model_name='entry',
            name='guest',
            field=models.OneToOneField(null=True, on_delete=django.db.models.deletion.PROTECT, to='activity.Guest'),
        ),
        migrations.AddField(
            model_name='entry',
            name='note',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='note.NoteUser', verbose_name='note'),
        ),
        migrations.AddField(
            model_name='activity',
            name='activity_type',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='+', to='activity.ActivityType', verbose_name='type'),
        ),
        migrations.AddField(
            model_name='activity',
            name='attendees_club',
            field=models.ForeignKey(help_text='Club that is authorized to join the activity. Mostly the Kfet club.', on_delete=django.db.models.deletion.PROTECT, related_name='+', to='member.Club', verbose_name='attendees club'),
        ),
        migrations.AddField(
            model_name='activity',
            name='creater',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to=settings.AUTH_USER_MODEL, verbose_name='user'),
        ),
        migrations.AddField(
            model_name='activity',
            name='organizer',
            field=models.ForeignKey(help_text='Club that organizes the activity. The entry fees will go to this club.', on_delete=django.db.models.deletion.PROTECT, related_name='+', to='member.Club', verbose_name='organizer'),
        ),
        migrations.AlterUniqueTogether(
            name='guest',
            unique_together={('activity', 'last_name', 'first_name')},
        ),
        migrations.AlterUniqueTogether(
            name='entry',
            unique_together={('activity', 'note', 'guest')},
        ),
        migrations.AlterUniqueTogether(
            name='activity',
            unique_together={('name', 'date_start', 'date_end')},
        ),
    ]
