# Generated by Django 2.2.16 on 2020-09-04 21:41

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('member', '0001_initial'),
        ('contenttypes', '0002_remove_content_type_name'),
    ]

    operations = [
        migrations.CreateModel(
            name='Permission',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('query', models.TextField(verbose_name='query')),
                ('type', models.CharField(choices=[('add', 'add'), ('view', 'view'), ('change', 'change'), ('delete', 'delete')], max_length=15, verbose_name='type')),
                ('field', models.CharField(blank=True, max_length=255, verbose_name='field')),
                ('permanent', models.BooleanField(default=False, help_text='Tells if the permission should be granted even if the membership of the user is expired.', verbose_name='permanent')),
                ('description', models.CharField(blank=True, max_length=255, verbose_name='description')),
            ],
            options={
                'verbose_name': 'permission',
                'verbose_name_plural': 'permissions',
            },
        ),
        migrations.CreateModel(
            name='PermissionMask',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('rank', models.PositiveSmallIntegerField(unique=True, verbose_name='rank')),
                ('description', models.CharField(max_length=255, unique=True, verbose_name='description')),
            ],
            options={
                'verbose_name': 'permission mask',
                'verbose_name_plural': 'permission masks',
            },
        ),
        migrations.CreateModel(
            name='Role',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=255, verbose_name='name')),
                ('for_club', models.ForeignKey(default=None, null=True, on_delete=django.db.models.deletion.PROTECT, to='member.Club', verbose_name='for club')),
                ('permissions', models.ManyToManyField(to='permission.Permission', verbose_name='permissions')),
            ],
            options={
                'verbose_name': 'role permissions',
                'verbose_name_plural': 'role permissions',
            },
        ),
        migrations.AddField(
            model_name='permission',
            name='mask',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='permissions', to='permission.PermissionMask', verbose_name='mask'),
        ),
        migrations.AddField(
            model_name='permission',
            name='model',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='+', to='contenttypes.ContentType', verbose_name='model'),
        ),
        migrations.AlterUniqueTogether(
            name='permission',
            unique_together={('model', 'query', 'type', 'field')},
        ),
    ]
